Copyright: Opaque Software 1994


Table of Contents
OXButtonTRUEOXBUTTON.O__004yesnononononoyesOXBUTTONyesyesyesoxbuttonTable of Contents

OXButton

Properties

Methods

Events

ShadowColor

(About)

(DesignNames)

(Help)

(SetDefault)

(Wizard)

BackColor

Font3D

PictureDown

Pictures

PictureUp

PictureX

PictureY

TextX

TextY

See Also

Property Menu

Control Wiz

Registration

Order

OXToggle

Properties

Group

GroupAllowNoSel

Value

Events

OXControls

TextAngle

MultiLine


OXControls
ObjectEXensionControls

Opaque Software ©

OXButton	Command Button

OXToggle	Toggle Button


OXButton

See Also	Properties	Methods	Events

OXButton is a 3D picture and text command button for Microsoft Visual Basic.

Description

This control adds new features the standard Visual Basic command button did not. OXButton can give the text and and a picture a 3D look. It also allows for different alignment of the text and picture. A moving drop-shadow is automatically created when the button is pressed. OXButton includes PropertyMenus and ControlWiz.

File Name

OXBUTTON.VBX

Object Type

OXButton

Remarks

OXButton gives the Visual Basic developer the ability to easily change the look and characteristics of the control. (Text formatting, 3D look, Fonts, Alignment, Default Property Settings and Other Properties) using the the right-mouse button or with the ControlWiz.

Properties and events that apply only to this control, or require special consideration when used with it, are marked with an asterisk. They are documented in the next section. See the Visual Basic Language Reference or online Help for documentation of the remaining properties, events, and methods.


OXToggle

See Also	Properties	Methods	Events

OToggle is a 3D picture and text toggle button for Microsoft Visual Basic.

Description

This control adds new features the standard Visual Basic toggle or checkbox button did not. OXToggle can give the text and and a picture a 3D look. It also allows for different alignment of the text and picture. A moving drop-shadow is automatically created when the button is pressed. OXToggle includes PropertyMenus and ControlWiz.

File Name

OXBUTTON.VBX

Object Type

OXToggle

Remarks

OXToggle gives the Visual Basic developer the ability to easily change the look and characteristics of the control. (Text formatting, 3D look, Fonts, Alignment, Default Property Settings and Other Properties) using the the right-mouse button or with the ControlWiz.

Properties and events that apply only to this control, or require special consideration when used with it, are marked with an asterisk. They are documented in the next section. See the Visual Basic Language Reference or online Help for documentation of the remaining properties, events, and methods.


Properties

*(About)	FontSize	*Pictures

*(DesignNames)	FontStrike	*PictureUp

*(Help)	FontUnder	*PictureX

*(SetDefault)	ForeColor	*PictureY

*(ControlWiz)	*Group	*ShadowColor

*BackColor	*GroupAllowNoSel	TabIndex

Caption	Height	TabStop

Drag	HWnd	Tag

DragIcon	Index	*TextX

Enabled	Left	*TextY

*Font3D	MousePointer	Top

FontBold	Name	*Value

FontItalic	Parent	Visible

FontName	*PictureDown	Width

New:     *MultiLine	*TextAngle


See Also

Property Menus

Control Wiz

Registration

Order Form


Properties

*(About)	FontName	*Pictures

*(DesignNames)	FontSize	*PictureUp

*(Help)	FontStrike	*PictureX

*(SetDefault)	FontUnder	*PictureY

*(ControlWiz)	ForeColor	*ShadowColor

*BackColor	Height	TabIndex

Caption	HWnd	TabStop

Drag	Index	Tag

DragIcon	Left	*TextX

Enabled	MousePointer	*TextY

*Font3D	Name	Top

FontBold	Parent	Visible

FontItalic	*PictureDown	Width

New:     *MultiLine	*TextAngle


Methods

Drag	Refresh

Move	SetFocus


Events

Clicked	KeyDown	DblClick

DragDrop	KeyPress	MouseDown

DragOver	KeyUp	MouseMove

GotFocus	LostFocus	MouseUp


Events

Changed	KeyDown	MouseDown

Clicked	KeyPress	MouseMove

DragDrop	KeyUp	MouseUp

DragOver	LostFocus

GotFocus	DblClick


Property Menu

Description

Right Clicking on the 3D-VB Input during development brings up a Property Menu which allows for changing the controls properties.

Remarks

Why MicroSoft didn't include this in standard VB instead of the VB Property window is beyond me. No more mousing back and forth searching for the Property window. Selecting one of the menu items brings up a dialog box to change the properties.


Control Wiz

Description

Automates the visual design of the control.

Remarks

No more wading through property list after property list. Allows you to change many properties at once.


(About)

Description

Displays AboutBox and version information.

Remarks

Design time only.

Data Type

None.


(DesignNames)

Description

Displays CtlName property during DesignTime for all OXButton and OXToggle controls.

Remarks

Design time only.

Data Type

Boolean


(Help)

Description

Starts this help file.

Remarks

Design time only

Data Type

None.


(SetDefault)

Description

Makes properties of the current control the default.

Remarks

DesignTime Only. Just select the control and set the default property. The following properties and their values will become the default for all the subsequent controls until the default is changed.

BackColor	PictureX	TextX

Font3D	PictureY	TextY

ForeColor	ShadowColor	Visible.

Data Type

None.


(Wizard)
(Control Wiz)

Description

Starts the ControlWiz for the current control.

Remarks

Design time only. The ControlWiz can be started by selecting the ControlWiz property form the property window and pressing the (...) or by clicking the right mouse button over the Control.

Data Type

None.


BackColor

Description

determines the background color of the button.

Usage

[form.]OXButton.BackColor[ = color]

Remarks

BackColor should be set the same as the background color of the picture. This will enable the pictures drop-shadow effect.

Data Type

Long


Font3D

Description

Sets or returns the three-dimensional style of the Control text.

Usage

[form.]OXButton.Font3D[ = setting%]

Remarks

The Font3D property settings are:

Setting 	Description

0 	Invisible.

1	Normal.

2	Raised

3	Inset

Data Type

Integer (Enumerated)


Group

Description

Sets or returns the Group of the Toggle button.

Usage

[form.]OXToggle.Group[ = setting%]

Remarks

Toggle buttons set to the same group and on the same window ( i.e., Form, GroupBox, PictureBox) will interact with each other, selecting one will deselect the others. Only one button in each group can be selected.

Data Type

Integer


GroupAllowNoSel

Description

Sets or returns the value of GroupAllowNoSel.

Usage

[form.]OXToggle. GroupAllowNoSel[ = setting%]

Remarks

When true allows no button in the Group to be selected. Normally when GroupAllowNoSel is FALSE, one toggle button will be selected. This property applies to the entire group. GroupAllowNoSel should be TRUE when only one toggle button is used.

Data Type

Integer (Boolean)


MultiLine

Description

Specifies whether the control will display the text or caption using more than one line of text.

Usage

[form.]OxButton.MultiLine[ = x]

Remarks

The following table lists the MultiLine property settings for the control.

Setting	Description

True	Allows more than one line of text.

False	Allows only one line of text

TextAngle must be = 0 for MultiLine text to be displayed.

Data Type

Integer(Boolean)


PictureDown

Description

Specifies a bitmap or an icon to display on the command button when the button has been pressed and is down. If this property is (none) then the PictureUp property is used to draw the pressed control. This property is write-only at design time.

Usage

[form.]OXButton.PictureDown[ = picture]

Remarks

The following table lists the PictureDown property settings for the button control.

Setting	Description

 (none)	(Default) No picture.

(bitmap) or (icon)	Designates a graphic to display. You can load the graphic from the Properties window at design time.

Note	This control can display bitmaps (.BMP) and icons (.ICO), but not Windows metafiles (.WMF). At run time, you can set the PictureDown property to any other object's DragIcon, Icon, Picture, or Image property, or you can assign it the graphic returned by the LoadPicture function. You can only assign the PictureDown property directly.

Data Type

Integer


Pictures

Description

Sets or returns a pre-defined bitmap included with the control.

Usage

[form.]OXButton.Pictures[ = setting%]

Remarks

The following table lists the Pictures property settings for the button control.

Setting	Description

0	(Default) No picture.

1 - 16	PreDefined Bitmaps.

The PictureUp property over rides the Pictures property. The PictureUp property must be (none) to display the pre-defined bitmap.

Data Type

Integer (Enumerated)


PictureUp

Description

Specifies a bitmap or an icon to display on the command button when the button is not pressed and is up. If this property is (none) then the Pictures property is used to draw the control. This property is write-only at design time.

Usage

[form.]OXButton.PictureUp[ = picture]

Remarks

The following table lists the PictureUp property settings for the button control.

Setting	Description

 (none)	(Default) No picture.

(bitmap) or (icon)	Designates a graphic to display. You can load the graphic from the Properties window at design time.

Note	This control can display bitmaps (.BMP) and icons (.ICO), but not Windows metafiles (.WMF). At run time, you can set the PictureUp property to any other object's DragIcon, Icon, Picture, or Image property, or you can assign it the graphic returned by the LoadPicture function. You can only assign the PictureUp property directly.

Data Type

Integer


PictureX

Description

Sets or returns the pictures horizontal location in twips inside the control.

Usage

[form.]OXButton.PictureX[ = x]

Remarks

The following table lists the PictureX property settings for the button control.

Setting	Description

>= 1	Twips from the left.

= 0	Centered.

<= -1	Twips from the right.

To align the picture on the left edge use a positive number, to align it from the right use a negative number or to center it use zero.

Data Type

Single


PictureY

Description

Sets or returns the pictures vertical location in twips inside the control.

Usage

[form.]OXButton.PictureY[ = y]

Remarks

The following table lists the PictureY property settings for the button control.

Setting	Description

>= 1	Twips from the top.

= 0	Centered.

<= -1	Twips from the bottom.

To align the picture on the top edge use a positive number, to align it from the bottom use a negative number or to center it use zero.

Data Type

Single


ShadowColor

Description

Sets or returns the moving shadow color below the picture.

Usage

[form.]OXButton.ShadowColor[ = color]

Remarks

For best effects dont use the BackColor for the shadow.

Data Type

Long


TextAngle

Description

Sets or returns the texts angle in degrees or rotation.

Usage

[form.]OxButton.TextAngle[ = x]

Remarks

To rotate the text use a number between 1 and 360. 0 = no rotation.

Data Type

Integer


TextX

Description

Sets or returns the text or captions horizontal location in twips inside the control.

Usage

[form.]OXButton.TextX[ = x]

Remarks

The following table lists the TextX property settings for the button control.

Setting	Description

>= 1	Twips from the left.

= 0	Centered.

<= -1	Twips from the right.

To align the text or caption on the left edge use a positive number, to align it from the right use a negative number or to center it use zero.

Data Type

Single


TextY

Description

Sets or returns the text or captions vertical location in twips inside the control.

Usage

[form.]OXButton.TextY[ = y]

Remarks

The following table lists the TextY property settings for the button control.

Setting	Description

>= 1	Twips from the top.

= 0	Centered.

<= -1	Twips from the bottom.

To align the text or caption on the top edge use a positive number, to align it from the bottom use a negative number or to center it use zero.

Data Type

Single


Value

Description

Sets or returns the Value of the selection state of the toggle button.

Usage

[form.]OXToggle.Value[ = setting%]

Remarks

The following table shows the Value property settings:

Setting	Description

FALSE	Not Selected (Toggle Button UP)

TRUE	Selected (Toggle Button DOWN)

Data Type

Integer (Boolean)


Registration

OXButton  © is written by Brett Liddicoet

Copyright © 1991-1994

Opaque Software ©

P.O. Box 2483.

Napa, CA 94558

CIS  70621,3034

OXButton ver 1.2 has been written using Borland Pascal. I welcome all comments, suggestions and problems with OXButton. Feel free to contact me via US mail or CompuServe E-MAIL. Registered users will be given priority. Thanks for using OXButton.

 REGISTRATION COSTS

15 Dollars U.S  (disk is $7 extra)

 SOFTWARE LICENSE

 OXButton is not and has never been public domain software, nor is it free software.

 Non-licensed users are granted a limited license to use OXButton on a 30-day trial basis for the purpose of determining whether OXButton is suitable for their needs.  The use of OXButton, except for the initial 30-day trial, requires registration.  The use of unlicensed copies of OXButton by any person, business, corporation, government agency or any other entity is strictly prohibited.

 A single user license permits a user to use OXButton only on a single computer.  Licensed users may use the program on different computers, but may not use the program on more than one computer at the same time. Licensed users may also distribute the runtime OXBUTTON.VBX with their completed applications.

 No one may modify or patch the OXButton executable files in any way,  including but not limited to decompiling, disassembling, or otherwise reverse engineering the program.

 A limited license is granted to copy and distribute OXButton only for the trial use of others, subject to the above limitations, and also the following:

  1)    OXButton must be copied in unmodified form, complete with the file containing this license information and only the following OXButton files: OXBUTTON.VBX, OXBUTTON.HLP, OXBCWIZ.EXE, ORDER.WRI and README.TXT. You may NOT distribute the OXButton registration ID, control numbers or that portion of the WIN.INI file created by OXButton.

  2)    The full machine-readable OXButton documentation must be included with each copy.

  3)    No fee, charge, or other compensation may be requested or accepted, except as

authorized below:

        A) Operators of electronic bulletin board systems (sysops) may make OXButton available for downloading only as long as the above conditions are met.  An overall or time-dependent charge for the use of the bulletin board system is permitted as long as there is not a specific charge for the download of OXButton.

        B) Vendors of user-supported or shareware software may distribute OXButton, subject to the above conditions, without specific permission. Vendors may charge a disk duplication and handling fee, which, when pro-rated to the OXButton product, may not exceed five dollars.

        C) Non-profit user groups may distribute OXButton, subject to the above conditions, without specific permission. Non-profit user groups may charge a disk duplication fee, which, when pro-rated to the OXButton product, may not exceed five dollars.

  LIMITED WARRANTY

EXCEPT AS PROVIDED ABOVE, OPAQUE SOFTWARE DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, WITH RESPECT TO THE PRODUCT.  SHOULD THE PROGRAM PROVE DEFECTIVE, THE   PURCHASER ASSUMES THE RISK OF PAYING THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION AND ANY INCIDENTAL OR CONSEQUENTIAL DAMAGES.  IN NO EVENT WILL OPAQUE SOFTWARE BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING WITHOUT LIMITATION DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION AND THE LIKE) ARISING OUT OF THE USE OR THE INABILITY TO USE THIS PRODUCT EVEN IF OPAQUE SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

  Use of this product for any period of time constitutes your acceptance of this agreement and subjects you to its contents.

  U.S. GOVERNMENT RESTRICTED RIGHTS

  Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subdivision (b)(3)(ii) of the Rights in Technical Data and Computer Software clause at 252.227-7013.  Contractor/manufacturer is Opaque Software.


Order

OXButton  ver 1.2

Please return this form and your remittance to:

Opaque Software

Brett Liddicoet

PO Box 2483

Napa, CA 94558

USA

Ship to:

Name: 	_____________________________________________________________

Company:	_____________________________________________________________

Address:	_____________________________________________________________

_____________________________________________________________

Phone (Day)	_____________________________________________________________

Phone (Night)	_____________________________________________________________

CIS#	_____________________________________________________________

Please send me:

_____ Registration numbers @ $15 each	$ ___________

_____ Copies of OXButton and Registration on 3.5 diskette @ $22 each.	$ ___________

Total	$ ___________

    (US Funds drawn on US Bank)

Payment may be by check or money order.

Comments

______________________________________________________________________________

______________________________________________________________________________

______________________________________________________________________________

______________________________________________________________________________

______________________________________________________________________________

______________________________________________________________________________